﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="WebForm1.aspx.vb" Inherits="ContextMenu_VB.WebForm1" %>

<%@ Register assembly="C1.Web.Wijmo.Controls.4" namespace="C1.Web.Wijmo.Controls.C1GridView" tagprefix="wijmo" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
    <style>
        .contextMenu {
            background-color: #BECFEF;
            border: 1px solid #94A8CD;
            width: 120px;
            position: absolute;
        }

            .contextMenu tr {
                font: normal 12px Arial;
                border: 1px solid #E4E1DE;
                background-color: #9AB7E7;
            }

            .contextMenu td {
                font: bold 11px "Trebuchet MS", Verdana, Arial, Helvetica, sans-serif;
                color: #FFFFFF;
                border: 1px solid #E4E1DE;
            }

            .contextMenu tr:active {
                background-color: #00CCFF;
            }

            .contextMenu tr:hover {
                background: #424242 url(grd_head.png) repeat-x top;
                cursor: pointer;
            }
    </style>
    <!--jQuery References-->
    <script src="http://code.jquery.com/jquery-1.11.1.min.js" type="text/javascript"></script>
    <script src="http://code.jquery.com/ui/1.11.0/jquery-ui.min.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            $("#myMenu").hide();
            $("table[id$='C1GridView1'] > tbody > tr").bind('contextmenu', function (e) {
                $("#myMenu").hide();
                e.preventDefault();
                rowid = $(this).children(':first-child').text();
                if (!isNaN(rowid)) {
                    //call context menu here
                    $("#myMenu").css({
                        top: e.pageY + "px",
                        left: e.pageX + "px",
                        position: 'absolute'
                    });
                    $("#myMenu").show();
                }
            });
        });

        //Code to hide context menu when user clicks anywhere on the grid
        $(document).bind('click', function (e) {
            $("#myMenu").hide();
        });

        //Handle the click events of the menu items.      
        function fnExcel() {
            var fileName = "Export";
            var type = "xlsx";
            var excelSetting = {
                showGridLines: true,
                autoRowHeight: true
            };
            var url = "http://demos.componentone.com/ASPNET/ExportService/exportapi/grid";
            $("#C1GridView1").c1gridview("exportGrid", fileName, type, excelSetting, url);
        }

        function fnCSV() {
            var fileName = "Export";
            var url = "http://demos.componentone.com/ASPNET/ExportService/exportapi/grid";
            $("#C1GridView1").c1gridview("exportGrid", fileName, "csv", url);
        }

        function fnPDF() {
            var fileName = "PDF";
            var url = "http://demos.componentone.com/ASPNET/ExportService/exportapi/grid";
            $("#C1GridView1").c1gridview("exportGrid", fileName, "pdf", null, url);
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <h3>Right click on C1GridView to open the context menu and perform exporting</h3>
        <br />
        <div>
            <wijmo:C1GridView ID="C1GridView1" runat="server" AutogenerateColumns="False" DataKeyNames="ProductID" DataSourceID="AccessDataSource1">
                <Columns>
                    <wijmo:C1BoundField DataField="ProductID" HeaderText="ProductID" ReadOnly="True" SortExpression="ProductID">
                    </wijmo:C1BoundField>
                    <wijmo:C1BoundField DataField="ProductName" HeaderText="ProductName" SortExpression="ProductName">
                    </wijmo:C1BoundField>
                    <wijmo:C1BoundField DataField="UnitPrice" HeaderText="UnitPrice" SortExpression="UnitPrice">
                    </wijmo:C1BoundField>
                    <wijmo:C1BoundField DataField="UnitsInStock" HeaderText="UnitsInStock" SortExpression="UnitsInStock">
                    </wijmo:C1BoundField>
                    <wijmo:C1BoundField DataField="UnitsOnOrder" HeaderText="UnitsOnOrder" SortExpression="UnitsOnOrder">
                    </wijmo:C1BoundField>
                </Columns>
            </wijmo:C1GridView>
            <asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="~/App_Data/C1NWind.mdb" SelectCommand="Select TOP 10 ProductID, ProductName, UnitPrice, UnitsInStock, UnitsOnOrder FROM Products"></asp:AccessDataSource>
        </div>
        <div id="myMenu" class="contextMenu">
            <table style='width: 100%;'>
                <tr>
                    <td onclick="fnExcel()">Export to Excel</td>
                </tr>
                <tr>
                    <td onclick="fnCSV()">Export to CSV</td>
                </tr>
                <tr>
                    <td onclick="fnPDF()">Export to PDF</td>
                </tr>
            </table>
        </div>
    </form>
</body>
</html>

